Bug 1256054 - (ghc-network-uri) Review Request: ghc-network-uri - URI manipulation
Review Request: ghc-network-uri - URI manipulation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-23 12:56 EDT by Ben Boeckel
Modified: 2015-12-10 05:21 EST (History)
2 users (show)

See Also:
Fixed In Version: ghc-network-uri-2.6.0.3-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-10 05:21:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2015-08-23 12:56:19 EDT
Spec URL: http://benboeckel.net/packaging/ghc-network-uri/ghc-network-uri.spec
SRPM URL: http://benboeckel.net/packaging/ghc-network-uri/ghc-network-uri-2.6.0.3-1.fc24.src.rpm
Description:
This package provides an URI manipulation inteface.

Fedora Account System Username: mathstuf
Comment 1 Ben Boeckel 2015-08-23 12:58:40 EDT
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10798250
Comment 2 Jens Petersen 2015-08-31 22:41:05 EDT
146 reverse deps in Hackage
http://packdeps.haskellers.com/reverse/network-uri

This blocks moving to ghc-7.10 which ships network-2.6.
(network-uri was split out of network for 2.6.)
Comment 3 Jens Petersen 2015-09-07 03:50:48 EDT
I opened https://github.com/haskell/network-uri/pull/20
for the typo in the description.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

===== MUST items =====
C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 3 files have unknown license. Detailed
     output of licensecheck in /home/petersen/pkgreview/1256054-ghc-
     network-uri/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 389120 bytes in 17 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-network-uri-2.6.0.3-1.fc24.x86_64.rpm
          ghc-network-uri-devel-2.6.0.3-1.fc24.x86_64.rpm
          ghc-network-uri-2.6.0.3-1.fc24.src.rpm
ghc-network-uri.x86_64: W: spelling-error %description -l en_US inteface -> interface, interlace
ghc-network-uri.src: W: spelling-error %description -l en_US inteface -> interface, interlace
ghc-network-uri.src: W: strange-permission network-uri-2.6.0.3.tar.gz 640
ghc-network-uri.src: W: strange-permission ghc-network-uri.spec 640
3 packages and 0 specfiles checked; 0 errors, 4 warnings.


Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory

<pardon?>

ghc-network-uri.x86_64: W: private-shared-object-provides /usr/lib64/ghc-7.8.4/network-uri-2.6.0.3/libHSnetwork-uri-2.6.0.3-ghc7.8.4.so libHSnetwork-uri-2.6.0.3-ghc7.8.4.so()(64bit)
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


Requires
--------
ghc-network-uri (rpmlib, GLIBC filtered):
    ghc(base-4.7.0.2-cb23b5265b6e147094c0cd9ac819acb1)
    ghc(deepseq-1.3.0.2-0ddc77716bd2515426e1ba39f6788a4f)
    ghc(parsec-3.1.5-51b006adec60c0312a6076337b4afd53)
    libHSarray-0.5.0.0-ghc7.8.4.so()(64bit)
    libHSbase-4.7.0.2-ghc7.8.4.so()(64bit)
    libHSbytestring-0.10.4.0-ghc7.8.4.so()(64bit)
    libHSdeepseq-1.3.0.2-ghc7.8.4.so()(64bit)
    libHSghc-prim-0.3.1.0-ghc7.8.4.so()(64bit)
    libHSinteger-gmp-0.5.1.0-ghc7.8.4.so()(64bit)
    libHSmtl-2.1.3.1-ghc7.8.4.so()(64bit)
    libHSparsec-3.1.5-ghc7.8.4.so()(64bit)
    libHStext-1.1.1.3-ghc7.8.4.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.8.4.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-network-uri-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(network-uri-2.6.0.3-9a1d552c2e26679ad23f44229b6acd19)
    ghc-compiler
    ghc-devel(base-4.7.0.2-cb23b5265b6e147094c0cd9ac819acb1)
    ghc-devel(deepseq-1.3.0.2-0ddc77716bd2515426e1ba39f6788a4f)
    ghc-devel(parsec-3.1.5-51b006adec60c0312a6076337b4afd53)
    ghc-network-uri(x86-64)


Provides
--------
ghc-network-uri:
    ghc(network-uri-2.6.0.3-9a1d552c2e26679ad23f44229b6acd19)
    ghc-network-uri
    ghc-network-uri(x86-64)
    libHSnetwork-uri-2.6.0.3-ghc7.8.4.so()(64bit)

ghc-network-uri-devel:
    ghc-devel(network-uri-2.6.0.3-9a1d552c2e26679ad23f44229b6acd19)
    ghc-network-uri-devel
    ghc-network-uri-devel(x86-64)
    ghc-network-uri-static

Unversioned so-files
--------------------
ghc-network-uri: /usr/lib64/ghc-7.8.4/network-uri-2.6.0.3/libHSnetwork-uri-2.6.0.3-ghc7.8.4.so

Source checksums
----------------
https://hackage.haskell.org/package/network-uri-2.6.0.3/network-uri-2.6.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 0fc2cdff47ca77d826ebeb5cabe6ddac2333ca1504b2b629dd369399c5c28bdf
  CHECKSUM(SHA256) upstream package : 0fc2cdff47ca77d826ebeb5cabe6ddac2333ca1504b2b629dd369399c5c28bdf


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1256054
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Jens Petersen 2015-09-07 04:58:45 EDT
Package is APPROVED
Comment 5 Jens Petersen 2015-09-07 04:59:53 EDT
You can switch to the %license when importing: cblrpm diff can help.
Comment 6 Ben Boeckel 2015-09-07 23:22:08 EDT
Thanks; will port to %license on import.

New Package SCM Request
=======================
Package Name: ghc-network-uri
Short Description: URI manipulation
Upstream URL: https://github.com/haskell/network-uri
Owners: mathstuf
Branches: devel
InitialCC: haskell-devel

Skipping f23 since 7.10 isn't planned (IIRC). Will add if it is.
Comment 7 Gwyn Ciesla 2015-09-09 08:59:44 EDT
Git done (by process-git-requests).
Comment 8 Upstream Release Monitoring 2015-09-24 11:04:59 EDT
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117

Note You need to log in before you can comment on or make changes to this bug.